/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "AppWindowBackend.h"
#include "evalyte-cpp-common/config.h"
#include "mirai-core/Mirai.h"
#include <cstdlib>
#include <string>

int main(int argc, char **argv)
{
	const auto configFilePath = evalyte::createConfigDirectoryPath("mirai") + "/config.json";
	mirai::Mirai mirai{configFilePath};
	AppWindowBackend appWindow{&mirai};
	appWindow.run();
	return 0;
}
